aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJean-Louis Fuchs <ganwell@fangorn.ch>2017-01-29 16:57:29 +0100
committerTimo Teräs <timo.teras@iki.fi>2017-01-30 16:49:09 +0000
commit0fae44bb7bcf8491b490cd17055d8d5f4f7a683d (patch)
treed39c67a66b8803d1369e936b72f6eb5ad3b01e23
parent482ec73cd12d77c85c7192a9af737b639c99e437 (diff)
downloadaports-0fae44bb7bcf8491b490cd17055d8d5f4f7a683d.tar.gz
aports-0fae44bb7bcf8491b490cd17055d8d5f4f7a683d.tar.bz2
aports-0fae44bb7bcf8491b490cd17055d8d5f4f7a683d.tar.xz
testing/zathura-pdf-poppler: move from unmaintained, update
-rw-r--r--testing/zathura-pdf-poppler/APKBUILD28
-rw-r--r--unmaintained/zathura-pdf-poppler/APKBUILD40
2 files changed, 28 insertions, 40 deletions
diff --git a/testing/zathura-pdf-poppler/APKBUILD b/testing/zathura-pdf-poppler/APKBUILD
new file mode 100644
index 0000000000..7012d59f3f
--- /dev/null
+++ b/testing/zathura-pdf-poppler/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
+pkgname=zathura-pdf-poppler
+pkgver=0.2.6
+pkgrel=0
+pkgdesc="zathura-pdf-poppler - poppler plugin adds PDF support to zathura"
+url="https://pwmt.org/projects/zathura/"
+arch="all"
+license="zlib"
+depends="zathura"
+makedepends="zathura-dev poppler-dev"
+source="https://pwmt.org/projects/zathura-pdf-poppler/download/zathura-pdf-poppler-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ make -C "$_builddir" || return 1
+}
+
+package() {
+ make PREFIX=/usr DESTDIR="$pkgdir" \
+ -C "$_builddir" install || return 1
+}
+
+md5sums="fc242236dda05f4a75cb41b52356ccae zathura-pdf-poppler-0.2.6.tar.gz"
+sha256sums="d1eb0c7a4f647c141192a2d7bf66413b9c5f1842463947ab87a8a1edcf8e58d5 zathura-pdf-poppler-0.2.6.tar.gz"
+sha512sums="3675d73da173cdfebee5ec83fa36d1861d6143b55931a2be16b24be1dbc70ce98dbc559f92e93e0d7f4d9073095d276754f64e41714810a6610abb09ab447aea zathura-pdf-poppler-0.2.6.tar.gz"
diff --git a/unmaintained/zathura-pdf-poppler/APKBUILD b/unmaintained/zathura-pdf-poppler/APKBUILD
deleted file mode 100644
index 44741ec2bc..0000000000
--- a/unmaintained/zathura-pdf-poppler/APKBUILD
+++ /dev/null
@@ -1,40 +0,0 @@
-# Contributor: Andrew Hills <ahills@ednos.net>
-# Maintainer: Andrew Hills <ahills@ednos.net>
-pkgname=zathura-pdf-poppler
-pkgver=0.2.6
-pkgrel=0
-pkgdesc="PDF support for zathura via poppler"
-url="https://pwmt.org/projects/$pkgname"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="poppler-dev girara-dev zathura-dev gtk+3.0-dev"
-install=""
-subpackages=""
-source="https://pwmt.org/projects/$pkgname/download/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-
-build() {
- cd "$_builddir"
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="fc242236dda05f4a75cb41b52356ccae zathura-pdf-poppler-0.2.6.tar.gz"
-sha256sums="d1eb0c7a4f647c141192a2d7bf66413b9c5f1842463947ab87a8a1edcf8e58d5 zathura-pdf-poppler-0.2.6.tar.gz"
-sha512sums="3675d73da173cdfebee5ec83fa36d1861d6143b55931a2be16b24be1dbc70ce98dbc559f92e93e0d7f4d9073095d276754f64e41714810a6610abb09ab447aea zathura-pdf-poppler-0.2.6.tar.gz"